import React, {Component} from 'react';
import './CardsAnimation.css';
import {apiDomain} from '../env';
import {Col,Row, Container, Hidden, Visible} from 'react-grid-system';
import Card from '@material-ui/core/Card';
import CardContent from '@material-ui/core/CardContent';
import CardActions from '@material-ui/core/CardActions';
import Typography from '@material-ui/core/Typography';
import IconButton from '@material-ui/core/IconButton';
import FolderIcon from '@material-ui/icons/Folder';
import FavoriteIcon from '@material-ui/icons/Favorite';
import StarRatings from 'react-star-ratings';
import algumaCoisa from "../img/laranja/LIVRO_DIGITAL.jpg";
import noAvatar from "../img/default_profile.png";

var authorStyle={
  position: "absolute",
  display: "flex",
  backgroundColor: "white",
  opacity: "0.6",
  bottom:"0",
  width: "100%",
  paddingTop: "20px"
};
var pictureStyle={
  position: "absolute",
  display: "flex",
  backgroundColor: "white",
  borderRadius: "50%",
  bottom:"7%",
  left: "37%",
  height: "70px",
  width: "70px",
};
const slideStyle={
  height: "50px",
  width: "50px",
  backgroundColor: "white",
  borderRadius: "50%",
};
const publisherStyle={
  color: "white",
  paddinLeft: "20px",
  fontSize: "15px"

};
class RenderThumbs extends Component {
  render(){
    if (this.props.thumbs) {
      var array = this.props.thumbs.slice(0,4);
      if (array.length < 3) {
        return(
          <img height="160" src={apiDomain+array[0]}/>)
      }
    return(
      <Row>
        {array.map(thumb => <Col style={{padding: "0px"}} md={6}><img key={thumb.id} height="80" src={apiDomain+thumb}/> </Col>)}
      </Row>
    );
    }
    return(null);
  }
}
class CollectionCard extends Component {
  constructor(props){
    super(props);
    this.state={
      userStyle: "animatiOff",
      userAvatar: null,
    };
  }
  onHover(){
    this.setState({userStyle: "animatiOn"});
  }
  onIddle(){
    this.setState({userStyle: "animatiOff"})
  }
  defAvatar(){
    if (!this.state.userAvatar && (!this.props.avatar.length)){
      this.setState({userAvatar: noAvatar});
    }
    if (!this.state.userAvatar && (this.props.avatar.length) ) {
      this.setState({userAvatar:apiDomain+this.props.avatar});
    }
  }
  render(){
    this.defAvatar();
   return (
     <Card onMouseOver={this.onHover.bind(this)} onMouseOut={this.onIddle.bind(this)} >
     <Container style={{padding:"0px", backgroundColor: "#673ab7"}}>
     <div className={this.state.userStyle}>
      <img style={slideStyle} src={this.state.userAvatar}/>
      <div style={publisherStyle}>Enviado por: <br/>{this.props.author}</div>
      <div> tags </div>
     </div>
     <RenderThumbs thumbs={this.props.thumbnail}/>
     <div style={authorStyle}>
      <div style={{textAlign: "center"}}>{this.props.name}</div>
       </div>
     <img style={pictureStyle} src={this.state.userAvatar}/>

     </Container>
       <CardContent style={{height: "60%", textAlign: "left", paddingBottom: "0px"}}>
       </CardContent>
       <Container style={{textAlign: "left"}}>
       <StarRatings
       rating={this.props.rating*100}
       starRatedColor="673ab7"
       starDimension="20px"
       starSpacing="2px"
       starHoverColor="red"
       />
       </Container>
       <CardActions style={{justifyContent: "space-between"}}>
         <FolderIcon style={{color:"#673ab7"}} />
         <IconButton  aria-label="Favoritar" size="small">
           <FavoriteIcon />
         </IconButton>
         </CardActions>

     </Card>
   );}
 }


export default CollectionCard;
